%define module Guard

Name: perl-%module
Version: 1.021
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Safe cleanup blocks for Perl
License: Perl
Group: Development/Perl

Url: %CPAN %module
Source: http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Guard-%version.tar.gz

# Automatically added by buildreq on Wed Oct 07 2009
BuildRequires: perl-devel

%description
This module implements so-called "guards". A guard is something (usually an
object) that "guards" a resource, ensuring that it is cleaned up when expected.

%prep
%setup -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/Guard.pm
%perl_vendor_autolib/Guard
%perl_vendor_man3dir/*

%changelog
* Wed Oct 07 2009 Victor Forsyuk <force@altlinux.org> 1.021-alt1
- Initial build.
